DTDConstants (Java SE 9 & JDK 9 )
Keywords: javax.swing.text.html.parser.DTDConstants interface

Module java.desktop
Package javax.swing.text.html.parser

## Interface DTDConstants

- All Known Implementing Classes:
    `AttributeList`, `DocumentParser`, `DTD`, `Element`, `Entity`, `Parser`

      public interface DTDConstants

  SGML constants used in a DTD. The names of the constants correspond to the equivalent SGML constructs as described in "The SGML Handbook" by Charles F. Goldfarb.
  See Also:
    `DTD`, `Element`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ANY` | The DTD constant corresponds to ANY
    `static int` | `CDATA` | The DTD constant corresponds to CDATA
    `static int` | `CONREF` | The DTD constant corresponds to CONREF
    `static int` | `CURRENT` | The DTD constant corresponds to CURRENT
    `static int` | `DEFAULT` | The DTD constant corresponds to DEFAULT
    `static int` | `EMPTY` | The DTD constant corresponds to EMPTY
    `static int` | `ENDTAG` | The DTD constant corresponds to ENDTAG
    `static int` | `ENTITIES` | The DTD constant corresponds to ENTITIES
    `static int` | `ENTITY` | The DTD constant corresponds to ENTITY
    `static int` | `FIXED` | The DTD constant corresponds to FIXED
    `static int` | `GENERAL` | The DTD constant corresponds to GENERAL
    `static int` | `ID` | The DTD constant corresponds to ID
    `static int` | `IDREF` | The DTD constant corresponds to IDREF
    `static int` | `IDREFS` | The DTD constant corresponds to IDREFS
    `static int` | `IMPLIED` | The DTD constant corresponds to IMPLIED
    `static int` | `MD` | The DTD constant corresponds to MD
    `static int` | `MODEL` | The DTD constant corresponds to MODEL
    `static int` | `MS` | The DTD constant corresponds to MS
    `static int` | `NAME` | The DTD constant corresponds to NAME
    `static int` | `NAMES` | The DTD constant corresponds to NAMES
    `static int` | `NMTOKEN` | The DTD constant corresponds to NMTOKEN
    `static int` | `NMTOKENS` | The DTD constant corresponds to NMTOKENS
    `static int` | `NOTATION` | The DTD constant corresponds to NOTATION
    `static int` | `NUMBER` | The DTD constant corresponds to NUMBER
    `static int` | `NUMBERS` | The DTD constant corresponds to NUMBERS
    `static int` | `NUTOKEN` | The DTD constant corresponds to NUTOKEN
    `static int` | `NUTOKENS` | The DTD constant corresponds to NUTOKENS
    `static int` | `PARAMETER` | The DTD constant corresponds to PARAMETER
    `static int` | `PI` | The DTD constant corresponds to PI
    `static int` | `PUBLIC` | The DTD constant corresponds to PUBLIC
    `static int` | `RCDATA` | The DTD constant corresponds to RCDATA
    `static int` | `REQUIRED` | The DTD constant corresponds to REQUIRED
    `static int` | `SDATA` | The DTD constant corresponds to SDATA
    `static int` | `STARTTAG` | The DTD constant corresponds to STARTTAG
    `static int` | `SYSTEM` | The DTD constant corresponds to SYSTEM

- - ### Field Detail

    - #### CDATA

          static final int CDATA

      The DTD constant corresponds to CDATA
      See Also:
        Constant Field Values

    - #### ENTITY

          static final int ENTITY

      The DTD constant corresponds to ENTITY
      See Also:
        Constant Field Values

    - #### ENTITIES

          static final int ENTITIES

      The DTD constant corresponds to ENTITIES
      See Also:
        Constant Field Values

    - #### ID

          static final int ID

      The DTD constant corresponds to ID
      See Also:
        Constant Field Values

    - #### IDREF

          static final int IDREF

      The DTD constant corresponds to IDREF
      See Also:
        Constant Field Values

    - #### IDREFS

          static final int IDREFS

      The DTD constant corresponds to IDREFS
      See Also:
        Constant Field Values

    - #### NAME

          static final int NAME

      The DTD constant corresponds to NAME
      See Also:
        Constant Field Values

    - #### NAMES

          static final int NAMES

      The DTD constant corresponds to NAMES
      See Also:
        Constant Field Values

    - #### NMTOKEN

          static final int NMTOKEN

      The DTD constant corresponds to NMTOKEN
      See Also:
        Constant Field Values

    - #### NMTOKENS

          static final int NMTOKENS

      The DTD constant corresponds to NMTOKENS
      See Also:
        Constant Field Values

    - #### NOTATION

          static final int NOTATION

      The DTD constant corresponds to NOTATION
      See Also:
        Constant Field Values

    - #### NUMBER

          static final int NUMBER

      The DTD constant corresponds to NUMBER
      See Also:
        Constant Field Values

    - #### NUMBERS

          static final int NUMBERS

      The DTD constant corresponds to NUMBERS
      See Also:
        Constant Field Values

    - #### NUTOKEN

          static final int NUTOKEN

      The DTD constant corresponds to NUTOKEN
      See Also:
        Constant Field Values

    - #### NUTOKENS

          static final int NUTOKENS

      The DTD constant corresponds to NUTOKENS
      See Also:
        Constant Field Values

    - #### RCDATA

          static final int RCDATA

      The DTD constant corresponds to RCDATA
      See Also:
        Constant Field Values

    - #### EMPTY

          static final int EMPTY

      The DTD constant corresponds to EMPTY
      See Also:
        Constant Field Values

    - #### MODEL

          static final int MODEL

      The DTD constant corresponds to MODEL
      See Also:
        Constant Field Values

    - #### ANY

          static final int ANY

      The DTD constant corresponds to ANY
      See Also:
        Constant Field Values

    - #### FIXED

          static final int FIXED

      The DTD constant corresponds to FIXED
      See Also:
        Constant Field Values

    - #### REQUIRED

          static final int REQUIRED

      The DTD constant corresponds to REQUIRED
      See Also:
        Constant Field Values

    - #### CURRENT

          static final int CURRENT

      The DTD constant corresponds to CURRENT
      See Also:
        Constant Field Values

    - #### CONREF

          static final int CONREF

      The DTD constant corresponds to CONREF
      See Also:
        Constant Field Values

    - #### IMPLIED

          static final int IMPLIED

      The DTD constant corresponds to IMPLIED
      See Also:
        Constant Field Values

    - #### PUBLIC

          static final int PUBLIC

      The DTD constant corresponds to PUBLIC
      See Also:
        Constant Field Values

    - #### SDATA

          static final int SDATA

      The DTD constant corresponds to SDATA
      See Also:
        Constant Field Values

    - #### PI

          static final int PI

      The DTD constant corresponds to PI
      See Also:
        Constant Field Values

    - #### STARTTAG

          static final int STARTTAG

      The DTD constant corresponds to STARTTAG
      See Also:
        Constant Field Values

    - #### ENDTAG

          static final int ENDTAG

      The DTD constant corresponds to ENDTAG
      See Also:
        Constant Field Values

    - #### MS

          static final int MS

      The DTD constant corresponds to MS
      See Also:
        Constant Field Values

    - #### MD

          static final int MD

      The DTD constant corresponds to MD
      See Also:
        Constant Field Values

    - #### SYSTEM

          static final int SYSTEM

      The DTD constant corresponds to SYSTEM
      See Also:
        Constant Field Values

    - #### GENERAL

          static final int GENERAL

      The DTD constant corresponds to GENERAL
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      The DTD constant corresponds to DEFAULT
      See Also:
        Constant Field Values

    - #### PARAMETER

          static final int PARAMETER

      The DTD constant corresponds to PARAMETER
      See Also:
        Constant Field Values